<?php

/**
 * Register Post Type: case-study
 */
function ri_register_cpt_case_study() {

	$labels = [
		"name"              => __( "Case Studies", "realideas" ),
		"singular_name"     => __( "Case Study", "realideas" ),
	];

	$args = [
		"label"                 => __( "Case Studies", "realideas" ),
		"labels"                => $labels,
		"description"           => "",
		"public"                => true,
		"publicly_queryable"    => true,
		"exclude_from_search"	=> false,
		"show_ui"               => true,
		"show_in_rest"          => true,
		"has_archive"           => true,
		"show_in_menu"          => true,
		"show_in_nav_menus"     => true,
		"delete_with_user"      => false,
		"exclude_from_search"   => false,
		"rewrite"               => [ "slug" => "case-studies", "with_front" => true ],
		"capability_type"       => "post",
		"map_meta_cap"          => true,
		"hierarchical"          => false,
		"menu_icon"             => "dashicons-portfolio",
		"supports"              => [ "title", "thumbnail", "excerpt", "editor" ],
		"show_in_graphql"       => true,
	];

	register_post_type( "case-study", $args );
	
}
add_action( 'init', 'ri_register_cpt_case_study' );
