<?php

/**
 * Register Post Type: event
 */
function ri_register_cpt_event() {

	$labels = [
		"name"              => __( "Events", "realideas" ),
		"singular_name"     => __( "Event", "realideas" ),
	];

	$args = [
		"label"                 => __( "Events", "realideas" ),
		"labels"                => $labels,
		"description"           => "",
		"public"                => true,
		"publicly_queryable"    => true,
		"exclude_from_search"	=> false,
		"show_ui"               => true,
		"show_in_rest"          => true,
		"has_archive"           => false,
		"show_in_menu"          => true,
		"show_in_nav_menus"     => true,
		"delete_with_user"      => false,
		"exclude_from_search"   => false,
		"capability_type"       => "post",
		"map_meta_cap"          => true,
		"hierarchical"          => false,
		"rewrite"               => [ "slug" => "whats-on", "with_front" => true ],
		"menu_icon"             => "dashicons-tickets-alt",
		"supports"              => [ "title", "thumbnail" ],
		"show_in_graphql"       => false,
	];

	register_post_type( "event", $args );
	
}
add_action( 'init', 'ri_register_cpt_event' );


